%define section		devel
%define upstreamver	8.1-412
%define gcj_support	0

Summary:	JDBC driver for PostgreSQL
Name:		postgresql-jdbc
Version:	8.1.412
Release:	1jpp.el4s1.1
Epoch:		0
License:	BSD
Group:		Applications/Databases
URL:		http://jdbc.postgresql.org/

Source0:	http://jdbc.postgresql.org/download/%{name}-%{upstreamver}.src.tar.gz
Patch1:		postgresql-jdbc-unspec-string.patch

%if %{gcj_support}
%else
# Normally one would build a non-GCJ Java RPM as noarch, but historically
# postgresql-jdbc has been per-architecture because it was built as part
# of the base postgresql SRPM.  We'll keep it per-arch to avoid confusing
# anyone (especially seeing that the GCJ future will be per-arch anyway).
# BuildArch:	noarch
%endif
BuildRequires:  jpackage-utils >= 0:1.5
BuildRequires:  ant >= 0:1.6.2
BuildRequires:  ant-junit >= 0:1.6.2
BuildRequires:  junit >= 0:3.7
BuildRequires:	java-1.4.2-ibm,java-1.4.2-ibm-devel
BuildRequires:	findutils gettext
%if %{gcj_support}
BuildRequires:	gcc-java
Requires(post): java-1.4.2-gcj-compat
Requires(postun): java-1.4.2-gcj-compat
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Obsoletes: rh-postgresql-jdbc

%description
PostgreSQL is an advanced Object-Relational database management
system. The postgresql-jdbc package includes the .jar files needed for
Java programs to access a PostgreSQL database.

%prep
%setup -c -q
mv -f %{name}-%{upstreamver}.src/* .
rm -f %{name}-%{upstreamver}.src/.cvsignore
rmdir %{name}-%{upstreamver}.src

# remove any binary libs
find -name "*.jar" -or -name "*.class" | xargs rm -f

%patch1 -p1

%build
export OPT_JAR_LIST="ant/ant-junit junit"
export CLASSPATH=
sh update-translations.sh
ant

%install
rm -rf ${RPM_BUILD_ROOT}

install -d $RPM_BUILD_ROOT%{_javadir}
# Per jpp conventions, jars have version-numbered names and we add
# versionless symlinks.
install -m 644 jars/postgresql.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar

pushd $RPM_BUILD_ROOT%{_javadir}
ln -s %{name}-%{version}.jar %{name}.jar
# Also, for backwards compatibility with our old postgresql-jdbc packages,
# add these symlinks.  (Probably only the jdbc3 symlink really makes sense?)
ln -s postgresql-jdbc.jar postgresql-jdbc2.jar
ln -s postgresql-jdbc.jar postgresql-jdbc2ee.jar
ln -s postgresql-jdbc.jar postgresql-jdbc3.jar
popd

%if %{gcj_support}
aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}

%post
/usr/bin/rebuild-gcj-db

%postun
/usr/bin/rebuild-gcj-db

%endif

%files
%defattr(-,root,root)
%doc LICENSE README doc/* example
%{_javadir}/*
%if %{gcj_support}
%dir %{_libdir}/gcj/%{name}
%{_libdir}/gcj/%{name}/*.jar.so
%{_libdir}/gcj/%{name}/*.jar.db
%endif

%changelog
* Tue Mar  4 2008 Tom Lane <tgl@redhat.com> 8.1.412-1jpp.el4s1.1
- Update to build 8.1-412

* Wed Jan 31 2007 Tom Lane <tgl@redhat.com> 8.1.408-1jpp.el4s1.1
- Update to build 8.1-408

* Thu Dec 07 2006 Deepak Bhole <dbhole@redhat.com> 8.1.407-1jpp.el4s1.4
- Set jvm BuildRequires to java-1.4.2-ibm{,-devel}

* Wed Dec  6 2006 Tom Lane <tgl@redhat.com> 8.1.407-1jpp.el4s1.3
- Fix BuildRequires to select a specific JVM (needed for Stacks only).

* Thu Sep 28 2006 Tom Lane <tgl@redhat.com> 8.1.407-1jpp.el4s1.2
- Rebuild to verify building in brew

* Mon Jul 17 2006 Tom Lane <tgl@redhat.com> 8.1.407-1jpp.el4s1.1
- Update to build 8.1-407

* Fri Mar 10 2006 Tom Lane <tgl@redhat.com> 8.1.405-1jpp.el4s1.3
- Respin after fixing gcc version in stacks buildroot.

* Tue Feb 21 2006 Tom Lane <tgl@redhat.com> 8.1.405-1jpp.el4s1.2
- Back-patch upstream fix to support unspecified-type strings.
- Build per-architecture RPMs instead of noarch, for backwards compatibility.

* Fri Feb 17 2006 Tom Lane <tgl@redhat.com> 8.1.405-1jpp.el4s1.1
- rebuild in Stacks branch (this version doesn't use gcj)

* Thu Feb 16 2006 Tom Lane <tgl@redhat.com> 8.1.405-1jpp
- Split postgresql-jdbc into its own SRPM (at last).
- Build it from source.  Add support for gcj compilation.
